package me.fatmarley.FatRaffle;



	import java.util.logging.Logger;
	import java.util.ArrayList;
	import java.util.HashMap;
	import me.fatmarley.FatRaffle.FatPermissions;
	import net.milkbowl.vault.permission.Permission;

	import org.bukkit.configuration.Configuration;
	//import org.bukkit.configuration.file.FileConfiguration;
	import org.bukkit.entity.Player;
	import org.bukkit.plugin.PluginDescriptionFile;
	import org.bukkit.plugin.java.JavaPlugin;
	import org.bukkit.plugin.PluginManager;
	import org.bukkit.plugin.RegisteredServiceProvider;





	public class FatRaffle extends JavaPlugin {
		private Logger log;
	    private final FatRafflePlayerListener playerListener  = new FatRafflePlayerListener(this);
	    private final HashMap<Player, Boolean> debugees = new HashMap<Player, Boolean>();  
		public static final FatPermissions permissions = new FatPermissions();
		public Configuration config = null;
		public static ArrayList<Player> onlinePlayers = new ArrayList<Player>();
		public static boolean raffleInProgress;

		
		
		public boolean setupPermissions() {
			RegisteredServiceProvider<Permission> permissionProvider = getServer()
					.getServicesManager().getRegistration(
							net.milkbowl.vault.permission.Permission.class);

			if (permissionProvider != null) {
				permissions.permission = permissionProvider.getProvider();
				log.info(String.format("[%s] Hooked %s",
						getDescription().getName(), permissionProvider
								.getProvider().getName()));
				return true;
			}
			return false;
		}
	   		 
	    @Override
	    public void onEnable() {
	    	raffleInProgress = false;
	    	getCommand("raffle").setExecutor(new RaffleCommand(this));
	/*    	
			final FileConfiguration config = this.getConfig();

			config.options()
					.header("All credit for this plugin goes to Tace \n Please visit Bukkitdev if you have questions about the config.");
			config.options().copyDefaults(true);
			saveConfig();
*/
			PluginManager pm = getServer().getPluginManager();
			pm.registerEvents(this.playerListener, this);
	        for(Player p : this.getServer().getOnlinePlayers())
	        	onlinePlayers.add(p);
			PluginDescriptionFile pdfFile = getDescription();
			System.out.println(pdfFile.getName() + " version "
					+ pdfFile.getVersion() + " is enabled!");
	    }

	    public boolean isDebugging(final Player player) {
	        if (debugees.containsKey(player)) {
	            return debugees.get(player);
	        } else {
	            return false;
	        }
	    }

	    public void setDebugging(final Player player, final boolean value) {
	        debugees.put(player, value);
	    }
	}




